Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSharing< EOT > Class Template Reference

Sharing is a perf2worth class that implements Goldberg and Richardson's basic sharing see eoSharingSelect for how to use it and test/t-eoSharing.cpp for a sample use of both. More...

`#include <eoSharing.h>`

Inheritance diagram for eoSharing< EOT >:

List of all members.

## Public Member Functions
| eoSharing (double _nicheSize, eoDistance< EOT > &_dist)
void | operator() (const eoPop< EOT > &_pop)
| Computes shared fitnesses.
## Private Attributes
double | nicheSize
eoDistance< EOT > & | dist

## Detailed Description

### template<class EOT>
class eoSharing< EOT >

Sharing is a perf2worth class that implements Goldberg and Richardson's basic sharing see eoSharingSelect for how to use it and test/t-eoSharing.cpp for a sample use of both.

Definition at line 79 of file eoSharing.h.

The documentation for this class was generated from the following file:

- eoSharing.h